GET
/api/v1/storage/list/objects
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/list/objects?bucket_name=<BUCKET_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/storage/list/objects", params={"bucket_name": "<BUCKET_NAME>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/list/objects");url.search = new URLSearchParams({ bucket_name: "<BUCKET_NAME>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Set include_versions=true to view version IDs. Use object_name to get versions of a specific object. Leave both empty to retrieve only the list of objects.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”bucket_name
required
string
Bucket Name
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
include_versions
boolean
Example
trueInclude versions in the response. Only true is accepted.
object_name
string
Example
object_nameObject name for which versions are to be fetched.
Responses
Section titled “Responses”List of objects inside the specified bucket
Media typeapplication/json
object
code
integer
data
Array<object>
object
bucket_name
string
contentType
string
is_delete_marker
boolean
is_dir
boolean
is_latest
boolean
lastModified
string format: date-time
name
string
owner_id
integer
owner_name
string
size
integer
storage_class
string
version_id
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "bucket_name": "example-bucket", "contentType": null, "is_delete_marker": false, "is_dir": false, "is_latest": null, "lastModified": "2025-01-01T10:00:00Z", "name": "script.py", "owner_id": null, "owner_name": null, "size": 1234, "storage_class": "STANDARD", "version_id": null } ], "errors": {}, "message": "Success"}